## x2top

Main Table of Contents

VERSION 4.0
Sun 18 Jan 2009

### Description

x2top generates a primitive topology from a coordinate file. The program assumes all hydrogens are present when defining the hybridization from the atom name and the number of bonds. The program can also make an rtp entry, which you can then add to the rtp database.

When `-param` is set, equilibrium distances and angles and force constants will be printed in the topology for all interactions. The equilibrium distances and angles are taken from the input coordinates, the force constant are set with command line options.The force fields supported currently are:

G43a1 GROMOS96 43a1 Forcefield (official distribution)

oplsaa OPLS-AA/L all-atom force field (2001 aminoacid dihedrals)

G43b1 GROMOS96 43b1 Vacuum Forcefield (official distribution)

gmx Gromacs Forcefield (a modified GROMOS87, see manual)

G43a2 GROMOS96 43a2 Forcefield (development) (improved alkane dihedrals)

The corresponding data files can be found in the library directory with names like ffXXXX.YYY. Check chapter 5 of the manual for more information about file formats. By default the forcefield selection is interactive, but you can use the `-ff` option to specify one of the short names above on the command line instead. In that case pdb2gmx just looks for the corresponding file.

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `conf.gro` | Input | Structure file: gro g96 pdb tpr tpb tpa
`-o` | `out.top` | Output, Opt. | Topology file
`-r` | `out.rtp` | Output, Opt. | Residue Type file used by pdb2gmx

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `0` | Set the nicelevel
`-ff` | string | `oplsaa` | Force field for your simulation. Type "select" for interactive selcection.
`-[no]v` | bool | `no` | Generate verbose output in the top file.
`-nexcl` | int | `3` | Number of exclusions
`-[no]H14` | bool | `yes` | Use 3rd neighbour interactions for hydrogen atoms
`-[no]alldih` | bool | `no` | Generate all proper dihedrals
`-[no]remdih` | bool | `no` | Remove dihedrals on the same bond as an improper
`-[no]pairs` | bool | `yes` | Output 1-4 interactions (pairs) in topology file
`-name` | string | `ICE` | Name of your molecule
`-[no]pbc` | bool | `yes` | Use periodic boundary conditions.
`-[no]pdbq` | bool | `no` | Use the B-factor supplied in a pdb file for the atomic charges
`-[no]param` | bool | `yes` | Print parameters in the output
`-[no]round` | bool | `yes` | Round off measured values
`-kb` | real | `400000` | Bonded force constant (kJ/mol/nm^2)
`-kt` | real | `400` | Angle force constant (kJ/mol/rad^2)
`-kp` | real | `5` | Dihedral angle force constant (kJ/mol/rad^2)

### Known problems

- The atom type selection is primitive. Virtually no chemical knowledge is used
- Periodic boundary conditions screw up the bonding
- No improper dihedrals are generated
- The atoms to atomtype translation table is incomplete (ffG43a1.n2t file in the $GMXLIB directory). Please extend it and send the results back to the GROMACS crew.

http://www.gromacs.org
gromacs@gromacs.org